Get all versions of a prompt partial
curl --request GET \
--url https://api.portkey.ai/v1/prompts/partials/{promptPartialId}/versions \
--header 'x-portkey-api-key: <api-key>'import requests
url = "https://api.portkey.ai/v1/prompts/partials/{promptPartialId}/versions"
headers = {"x-portkey-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-portkey-api-key': '<api-key>'}};
fetch('https://api.portkey.ai/v1/prompts/partials/{promptPartialId}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"prompt_partial_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt_partial_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"version": "<string>",
"string": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"object": "partial"
}
]List Partial Versions
GET
/
prompts
/
partials
/
{promptPartialId}
/
versions
Get all versions of a prompt partial
Portkey is now PRISMA AIRS AI Gateway. See it in action.
Contact Us
Authorizations
Path Parameters
Response
List of prompt partial versions
Last modified on August 3, 2026
Was this page helpful?
⌘I

